// DlgRotate.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "dynamicdraw.h"
#include "DlgRotate.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCDlgRotate _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

CFCDlgRotate::CFCDlgRotate(CWnd* pParent /*=NULL*/)
	: BASE_CLASS(CFCDlgRotate::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFCDlgRotate)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
}

void CFCDlgRotate::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCDlgRotate)
	DDX_Control(pDX, IDC_ROT_STC_BORDER_1, m_stcBorder1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFCDlgRotate, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCDlgRotate)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	ON_EN_CHANGE(IDC_ROT_EDT_CENTER_X, OnChangeRotEdtCenterX)
	ON_EN_CHANGE(IDC_ROT_EDT_CENTER_Y, OnChangeRotEdtCenterY)
	ON_EN_CHANGE(IDC_ROT_EDT_ANGLE, OnChangeRotEdtAngle)
	ON_BN_CLICKED(IDC_ROT_RDO_ROTATE_EACH, OnRotRdoRotateEach)
	ON_BN_CLICKED(IDC_ROT_RDO_ROTATE_ALL, OnRotRdoRotateAll)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCDlgRotate _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_
